Debian Bug report logs - #698256
ITP: lz4 -- Extremely Fast Compression algorithm library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Nobuhiro Iwamatsu <iwamatsu@debian.org>

Date: Wed, 16 Jan 2013 00:39:05 UTC

Owned by: Nobuhiro Iwamatsu <iwamatsu@debian.org>

Severity: wishlist

Fixed in version lz4/0.0~r94-1

Done: Nobuhiro Iwamatsu <iwamatsu@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#698256; Package wnpp. (Wed, 16 Jan 2013 00:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Wed, 16 Jan 2013 00:39:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: lz4 -- Extremely Fast Compression algorithm library
Date: Wed, 16 Jan 2013 09:51:21 +0900
Package: wnpp
Severity: wishlist
Owner: Nobuhiro Iwamatsu <iwamatsu@debian.org>

* Package name    : lz4
  Version         : 0.0.0 (svn r88)
  Upstream Author : Yann Collet <yann.collet.73@gmail.com>
* URL             : http://code.google.com/p/lz4/
* License         : BSD 2-Clause License
  Programming Lang: C
  Description     : Extremely Fast Compression algorithm library

LZ4 is a very fast lossless compression algorithm.
This uses Dictionary compression, and only supports compression and
decompression unit blocks.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nobuhiro Iwamatsu <iwamatsu@debian.org>:
Bug#698256; Package wnpp. (Wed, 16 Jan 2013 02:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nobuhiro Iwamatsu <iwamatsu@debian.org>. (Wed, 16 Jan 2013 02:54:03 GMT) Full text and rfc822 format available.

Message #10 received at 698256@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Nobuhiro Iwamatsu <iwamatsu@debian.org>, 698256@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#698256: ITP: lz4 -- Extremely Fast Compression algorithm library
Date: Wed, 16 Jan 2013 10:50:31 +0800
On Wed, Jan 16, 2013 at 8:51 AM, Nobuhiro Iwamatsu wrote:

> * Package name    : lz4
>   Description     : Extremely Fast Compression algorithm library
>
> LZ4 is a very fast lossless compression algorithm.

Is it faster than lzop? How does it compare to lzop, gzip, lzip, xz,
bzip2 in terms of compression ratio? Please include that information
in the package description.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#698256; Package wnpp. (Wed, 16 Jan 2013 04:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 16 Jan 2013 04:18:03 GMT) Full text and rfc822 format available.

Message #15 received at 698256@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@debian.org>
To: Paul Wise <pabs@debian.org>
Cc: 698256@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#698256: ITP: lz4 -- Extremely Fast Compression algorithm library
Date: Wed, 16 Jan 2013 13:14:40 +0900
Hi,

On Wed, Jan 16, 2013 at 11:50 AM, Paul Wise <pabs@debian.org> wrote:
> On Wed, Jan 16, 2013 at 8:51 AM, Nobuhiro Iwamatsu wrote:
>
>> * Package name    : lz4
>>   Description     : Extremely Fast Compression algorithm library
>>
>> LZ4 is a very fast lossless compression algorithm.
>
> Is it faster than lzop? How does it compare to lzop, gzip, lzip, xz,
> bzip2 in terms of compression ratio? Please include that information
> in the package description.

OK , I wil include that.
And we can see infomation from website.
  http://code.google.com/p/lz4

I copied infomation about compression ratio and speed.

Name            Ratio   C.speed D.speed
LZ4 (r59)       2.084   330      915
LZO 2.05 1x_1   2.038   311      480
QuickLZ 1.5 -1  2.233   257      277
Snappy 1.0.5    2.024   227      729
LZF             2.076   197      465
FastLZ          2.030   190      420
zlib 1.2.5 -1   2.728    39      195
LZ4 HC (r66)    2.712    18     1020
zlib 1.2.5 -6   3.095    14      210

Best regards,
  Nobuhiro

-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nobuhiro Iwamatsu <iwamatsu@debian.org>:
Bug#698256; Package wnpp. (Wed, 16 Jan 2013 10:06:03 GMT) Full text and rfc822 format available.

Message #18 received at 698256@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 698256@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#698256: ITP: lz4 -- Extremely Fast Compression algorithm library
Date: Wed, 16 Jan 2013 11:02:58 +0100
* Nobuhiro Iwamatsu <iwamatsu@debian.org>, 2013-01-16, 09:51:
>* URL             : http://code.google.com/p/lz4/
>* License         : BSD 2-Clause License
>  Programming Lang: C
>  Description     : Extremely Fast Compression algorithm library
>
>LZ4 is a very fast lossless compression algorithm.
>This uses Dictionary compression, and only supports compression and 
>decompression unit blocks.

This looks very promising, but also immature. The upstream makefile 
doesn't build a shared library, not even a static library, but only an 
executable ("lz4demo"). Are there any plans to change that?

-- 
Jakub Wilk



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nobuhiro Iwamatsu <iwamatsu@debian.org>:
Bug#698256; Package wnpp. (Wed, 16 Jan 2013 22:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nobuhiro Iwamatsu <iwamatsu@debian.org>. (Wed, 16 Jan 2013 22:57:05 GMT) Full text and rfc822 format available.

Message #23 received at 698256@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: 698256@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#698256: ITP: lz4 -- Extremely Fast Compression algorithm library
Date: Thu, 17 Jan 2013 07:52:50 +0900
Hi,

On Wed, Jan 16, 2013 at 7:02 PM, Jakub Wilk <jwilk@debian.org> wrote:
> * Nobuhiro Iwamatsu <iwamatsu@debian.org>, 2013-01-16, 09:51:
>
>> * URL             : http://code.google.com/p/lz4/
>> * License         : BSD 2-Clause License
>>  Programming Lang: C
>>  Description     : Extremely Fast Compression algorithm library
>>
>> LZ4 is a very fast lossless compression algorithm.
>> This uses Dictionary compression, and only supports compression and
>> decompression unit blocks.
>
>
> This looks very promising, but also immature. The upstream makefile doesn't
> build a shared library, not even a static library, but only an executable
> ("lz4demo"). Are there any plans to change that?
>
Yes, I am correcting the part which you pointed out.
And I will send the patch to upstream.
A static library, shared library and sample program are provided when
this is installed in Debian.

Best regards,
  Nobuhiro

-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 05 May 2013 20:06:07 GMT) Full text and rfc822 format available.

Reply sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
You have taken responsibility. (Thu, 30 May 2013 11:03:23 GMT) Full text and rfc822 format available.

Notification sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
Bug acknowledged by developer. (Thu, 30 May 2013 11:03:23 GMT) Full text and rfc822 format available.

Message #30 received at 698256-close@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@debian.org>
To: 698256-close@bugs.debian.org
Subject: Bug#698256: fixed in lz4 0.0~r94-1
Date: Thu, 30 May 2013 11:00:06 +0000
Source: lz4
Source-Version: 0.0~r94-1

We believe that the bug you reported is fixed in the latest version of
lz4, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 698256@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nobuhiro Iwamatsu <iwamatsu@debian.org> (supplier of updated lz4 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 04 May 2013 08:31:31 +0900
Source: lz4
Binary: liblz4-dev liblz4-0.0 liblz4-0.0-dbg liblz4-tool
Architecture: source amd64
Version: 0.0~r94-1
Distribution: unstable
Urgency: low
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Changed-By: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Description: 
 liblz4-0.0 - Fast LZ compression algorithm library - runtime
 liblz4-0.0-dbg - Fast LZ compression algorithm library - Debugging Symbols
 liblz4-dev - Fast LZ compression algorithm library - development files
 liblz4-tool - Fast LZ compression algorithm library - tool
Closes: 698256
Changes: 
 lz4 (0.0~r94-1) unstable; urgency=low
 .
   * Initial release. (Closes: #698256)
Checksums-Sha1: 
 887290131ba0dd4df499d16ecd6c56458ba28393 1960 lz4_0.0~r94-1.dsc
 e9fac7f0431c9d43d8afce1001aa4ec2e6e5196d 115744 lz4_0.0~r94.orig.tar.xz
 792464d593de7eb4aefaa2993aa0611ff0b93407 4250 lz4_0.0~r94-1.debian.tar.gz
 f4a177a3786c5a153a8d3c8e8c44a2b8ffc9f631 16918 liblz4-dev_0.0~r94-1_amd64.deb
 d14f0984959f601daeea6f6dd2b9a1f39767c6c6 13422 liblz4-0.0_0.0~r94-1_amd64.deb
 8c7a35dd1cdca83df1011fb6ed325073d6c59905 54620 liblz4-0.0-dbg_0.0~r94-1_amd64.deb
 2771a2338404d422b013d20855b1779f287e1b8e 15430 liblz4-tool_0.0~r94-1_amd64.deb
Checksums-Sha256: 
 34d4569ab8c639e5b890f9f4ab287c0bab84a0ffdce5c35af5b6937f94611ebe 1960 lz4_0.0~r94-1.dsc
 57c354ca60d0b14be7b2b5db30d772bd3e38ea30d709ff1f8b71471d9ef974a9 115744 lz4_0.0~r94.orig.tar.xz
 43ffe8d2054be69a18fa23091880053d50196b6a18d9aa0900f6bcfd5103b458 4250 lz4_0.0~r94-1.debian.tar.gz
 60b2c11da2f54382b4cc1a3c6a617a3363c088bac391b5f02312ca466e93fdd0 16918 liblz4-dev_0.0~r94-1_amd64.deb
 8d2c998f089eaa7c5b32b7f96d24a942424812196252e63a1b98ba9f8dc358a3 13422 liblz4-0.0_0.0~r94-1_amd64.deb
 5d7b2cfa1062d3175023e2a4ced434d483a5e6126f8adca48d4b492936694ccd 54620 liblz4-0.0-dbg_0.0~r94-1_amd64.deb
 2c1e862e7bf9e2935d9c1ad716e948bdc1f967a0eb554f55f91e4f089d7b1b57 15430 liblz4-tool_0.0~r94-1_amd64.deb
Files: 
 adffc88d192cf39c28f809d1d687271b 1960 utils extra lz4_0.0~r94-1.dsc
 59187fd59a02e7b6e0e7664f368e5dba 115744 utils extra lz4_0.0~r94.orig.tar.xz
 43f47f832c83795d8ee2d19377f22c43 4250 utils extra lz4_0.0~r94-1.debian.tar.gz
 5359c865b5554fe6fdace4eba7d65d11 16918 libdevel extra liblz4-dev_0.0~r94-1_amd64.deb
 f2fff76925259d8a119f4fef0b312748 13422 libs extra liblz4-0.0_0.0~r94-1_amd64.deb
 13b6265fb727f6f85c07e233050b1ceb 54620 debug extra liblz4-0.0-dbg_0.0~r94-1_amd64.deb
 43d2f03e60e4313477a8d60e39b9dd92 15430 utils extra liblz4-tool_0.0~r94-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRlWGTAAoJEDIkf7tArR+mKA8P/jE9jhD9KP6zAJ5PfHlFZNse
PYj0SAkya00/JWHwPQu/FQzyVk6N6SoHMLcg1b+LEVo5/X4Sx46/wRSoC2jaHJKn
BNHyadHx6v1KeCGuRf99vZWfafFIDfuGJTD4+8d4Xh3baXV6tJH8M6GFnnW0Lyde
OavtGTUSu2j97XvpOWXqsyCIcYhaVqEbr1qMZiuXyw56/d/RiZgPpdevVPwXoQcd
oaQER0GT02E4wNPhRM3SzhKoGEUvKK5TRg1CJpms2M/Tf+5xB2wnAp/aSnMg3cEw
IaEDcIjN/p1s0pP1rtnNDOOZ8HYo5qddp993TpX6GNa2gf+ZtzWpaEbXCDzFX7YD
UTF3Ao1Knb6wIs1wQdByShI+BTOipqHzGkY/dhf26p5ThYLkdPpy/4mQglKPMZIE
u5Pf+cSQZjHIAKDMlFYhFAgblvHj9encpr9Xz7HAYKrTGk+i6706RigjsaIUNj6v
vRg7ZNg6xdYHnubRUHrNK+4Z5+DeIy8BWUClvta6xk8/0yrnWHpaYUmRY6iQo/4H
gqpl2t1hI+GxResKoB3OQXsy2SAu0Bj2ePS4OYDJn+kDACCIJKnS8dtIVVzpSsxx
HWb3gq/e1xwX8Wn1Ya8It2y/yjjuOOwp+2QHP8c87lGGfQHITn3qpHe/8ufR2sGP
XBSex+pR9ryflrEmQtq8
=P6vM
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 28 Jun 2013 07:36:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:40:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.